LDCONFIG(8)

NAZWA
ldconfig - konfiguruje powiązania konsolidacyjne czasu uruchamiania

SKŁADNIA
/sbin/ldconfig [-nNvXV] [-f conf] [-C cache] [-r root] directory...
/sbin/ldconfig -l [-v] biblioteka ...
/sbin/ldconfig -p

OPIS
ldconfig creates the necessary links and cache to the most recent shared libraries found in the directories specified on the command line, in the file /etc/ld.so.conf, and in the trusted directories, /lib and /usr/lib (on some 64-bit architectures such as x86-64, /lib and /usr/lib are the trusted directories for 32-bit libraries, while /lib64 and /usr/lib64 are used for 64-bit libraries).

Bufor jest używany przez konsolidator czasu uruchamiania: ld.so lub ld-linux.so. ldconfig sprawdza nagłówki i nazwy plików badanych bibliotek, aby określić, które wersje powinny mieć odnowione linki.

ldconfig will attempt to deduce the type of ELF libraries (i.e., libc5 or libc6/glibc) based on what C libraries, if any, the library was linked against.

Some existing libraries do not contain enough information to allow the deduction of their type. Therefore, the /etc/ld.so.conf file format allows the specification of an expected type. This is used only for those ELF libraries which we can not work out. The format is "dirname=TYPE", where TYPE can be libc4, libc5, or libc6. (This syntax also works on the command line.) Spaces are not allowed. Also see the -p option. ldconfig should normally be run by the superuser as it may require write permission on some root owned directories and files.

Note that ldconfig will only look at files that are named lib*.so* (for regular shared objects) or ld-*.so* (for the dynamic loader itself). Other files will be ignored. Also, ldconfig expects a certain pattern to how the symlinks are set up, like this example, where the middle file (libfoo.so.1 here) is the SONAME for the library:

    libfoo.so -> libfoo.so.1 -> libfoo.so.1.12

Failure to follow this pattern may result in compatibility issues after an upgrade.

OPCJE

-c format, --format=format
    (Since glibc 2.2) Cache format to use: old, new, or compat. Since glibc 2.32, the default is new. Before that, it was compat.

-C cache
    Używa cache zamiast /etc/ld.so.cache.

-f conf
    Używa conf zamiast /etc/ld.so.conf.

-i, --ignore-aux-cache
    (od glibc 2.7) Ignoruje dodatkowy plik bufora.

-l  (od glibc 2.2) Tryb biblioteki. Linkuj ręcznie pojedyncze biblioteki. Przeznaczone tylko dla ekspertów.

-n  Process only the directories specified on the command line. Don't process the trusted directories, nor those specified in /etc/ld.so.conf. Implies -N.

-N  Nie przebudowuje cache. O ile nie podano -X, linki są wciąż odnawiane.

-p, --print-cache
    Wyświetla listę katalogów i biblioteki, przechowywane w bieżącym cache.

-r root
    Zmienia katalog główny na root i używa go.

-v, --verbose
    Tryb gadatliwy. Wyświetla bieżący numer wersji, nazwę każdego skanowanego katalogu i każdy tworzony link. Unieważnia tryb cichy.

-V, --version
    Wyświetla wersję programu.

-X  Nie odnawia linków. O ile nie podano -N, cache jest wciąż przebudowywane.

PLIKI
/lib/ld.so
    Konsolidator czasu uruchamiania.
/etc/ld.so.conf
    Plik zawierający listę katalogów, po jednym w wierszu, wskazujących, gdzie szukać bibliotek.
/etc/ld.so.cache
    Plik zawierający uporządkowaną listę bibliotek, znalezionych w katalogach wymienionych w /etc/ld.so.conf oraz w zaufanych katalogach.

ZOBACZ TAKŻE
ldd(1), ld.so(8)

O STRONIE
Angielska wersja tej strony pochodzi z wydania 5.13 projektu Linux man-pages. Opis projektu, informacje dotyczące zgłaszania błędów oraz najnowszą wersję oryginału można znaleźć pod adresem https://www.kernel.org/doc/man-pages/.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl>, Robert Luberda <robert@debian.org> i Michał Kułach <michal.kulach@gmail.com> Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI. Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres manpages-pl-list@lists.sourceforge.net.